macOS High Sierra
We are investigating a potential issue between macOS High Sierra (10.13) and Mono 5.4. Please install Mono 5.0.1 if having problems with the launcher on Mac.

Please Wait!

Please wait... it will take a second!